FAF 1.4.4 won't start [solved]

0

Hi!
I'm facing an issue with the latest FAF version. It won't pass the initial splash screen, it crashes and gives me the following error:

org.springframework.beans.factory.UnsatisfiedDependencyException: Error creating bean with name 'fileOpeningHandler' defined in URL

The full log is here:
https://pastebin.com/9hLPnRMz
I'm using Window 10, I don't have any issue with the 1.4.3. I didn't launch it with admin rights.

Any ideas of what could cause that?
Thanks!

0

Looks like thier was a error when it updated. jsut uninstall and reinstall and should be good to go

0

Probably the download or install was interrupted. Try redownloading and reinstalling.

0
This post is deleted!
0

Hi, thanks Rowey! Unfortunately, I don't think that will do it, I tried uninstall/reinstall multiples times (including manually deleting the folder, cache, etc...).
It didn't work. Maybe it's a bug I should report?

0

Which folder did you delete?

0

It was the C:\ProgramData\FAForever. Not sure if it helps identifying the problem, but I can reinstall the 1.4.3 with no issue.

0

You don't need to delete that folder you would need to delete the folder where the client is installed. It should be something like C:\Program Files\Downlord's FAF Client or whereever you installed it to.

0

Yep, I just did it and it worked! There was a C:\Program Files\Downlord's FAF Client\lib\downlords-faf-client-1.4.3.jar remaining from the uninstall of the previous version, I think it might have been responsible from the problem (?).
Thanks Sheikak, Rowey and Aska!